Open CASCADE Technology: Graphic3d_AxisAspect Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
Graphic3d_AxisAspect Class Reference

Class that stores style for one graduated trihedron axis such as colors, lengths and customization flags. It is used in Graphic3d_GraduatedTrihedron. More...

`#include <Graphic3d_GraduatedTrihedron.hxx>`

## Public Member Functions
| Graphic3d_AxisAspect (const TCollection_ExtendedString theName="", const Quantity_Color theNameColor=Quantity_NOC_BLACK, const Quantity_Color theColor=Quantity_NOC_BLACK, const Standard_Integer theValuesOffset=10, const Standard_Integer theNameOffset=30, const Standard_Integer theTickmarksNumber=5, const Standard_Integer theTickmarksLength=10, const Standard_Boolean theToDrawName=Standard_True, const Standard_Boolean theToDrawValues=Standard_True, const Standard_Boolean theToDrawTickmarks=Standard_True)
void | SetName (const TCollection_ExtendedString &theName)
const TCollection_ExtendedString & | Name () const
const Standard_Boolean | ToDrawName () const
void | SetDrawName (const Standard_Boolean theToDraw)
const Standard_Boolean | ToDrawTickmarks () const
void | SetDrawTickmarks (const Standard_Boolean theToDraw)
const Standard_Boolean | ToDrawValues () const
void | SetDrawValues (const Standard_Boolean theToDraw)
const Quantity_Color & | NameColor () const
void | SetNameColor (const Quantity_Color &theColor)
const Quantity_Color & | Color () const
| Color of axis and values. More...
void | SetColor (const Quantity_Color &theColor)
| Sets color of axis and values. More...
const Standard_Integer | TickmarksNumber () const
void | SetTickmarksNumber (const Standard_Integer theValue)
const Standard_Integer | TickmarksLength () const
void | SetTickmarksLength (const Standard_Integer theValue)
const Standard_Integer | ValuesOffset () const
void | SetValuesOffset (const Standard_Integer theValue)
const Standard_Integer | NameOffset () const
void | SetNameOffset (const Standard_Integer theValue)

## Protected Attributes
TCollection_ExtendedString | myName
Standard_Boolean | myToDrawName
Standard_Boolean | myToDrawTickmarks
Standard_Boolean | myToDrawValues
Quantity_Color | myNameColor
Standard_Integer | myTickmarksNumber
| Number of splits along axes. More...
Standard_Integer | myTickmarksLength
| Length of tickmarks. More...
Quantity_Color | myColor
| Color of axis and values. More...
Standard_Integer | myValuesOffset
| Offset for drawing values. More...
Standard_Integer | myNameOffset
| Offset for drawing name of axis. More...

## Detailed Description

Class that stores style for one graduated trihedron axis such as colors, lengths and customization flags. It is used in Graphic3d_GraduatedTrihedron.

## Constructor & Destructor Documentation

Graphic3d_AxisAspect::Graphic3d_AxisAspect | ( | const TCollection_ExtendedString | theName = `""`,
|  | const Quantity_Color | theNameColor = `Quantity_NOC_BLACK`,
|  | const Quantity_Color | theColor = `Quantity_NOC_BLACK`,
|  | const Standard_Integer | theValuesOffset = `10`,
|  | const Standard_Integer | theNameOffset = `30`,
|  | const Standard_Integer | theTickmarksNumber = `5`,
|  | const Standard_Integer | theTickmarksLength = `10`,
|  | const Standard_Boolean | theToDrawName = `Standard_True`,
|  | const Standard_Boolean | theToDrawValues = `Standard_True`,
|  | const Standard_Boolean | theToDrawTickmarks = `Standard_True`
| ) |  |
| inline

## Member Function Documentation

const Quantity_Color& Graphic3d_AxisAspect::Color | ( |  | ) | const
| inline

Color of axis and values.

const TCollection_ExtendedString& Graphic3d_AxisAspect::Name | ( |  | ) | const
| inline

const Quantity_Color& Graphic3d_AxisAspect::NameColor | ( |  | ) | const
| inline

const Standard_Integer Graphic3d_AxisAspect::NameOffset | ( |  | ) | const
| inline

void Graphic3d_AxisAspect::SetColor | ( | const Quantity_Color & | theColor | ) |
| inline

Sets color of axis and values.

void Graphic3d_AxisAspect::SetDrawName | ( | const Standard_Boolean | theToDraw | ) |
| inline

void Graphic3d_AxisAspect::SetDrawTickmarks | ( | const Standard_Boolean | theToDraw | ) |
| inline

void Graphic3d_AxisAspect::SetDrawValues | ( | const Standard_Boolean | theToDraw | ) |
| inline

void Graphic3d_AxisAspect::SetName | ( | const TCollection_ExtendedString & | theName | ) |
| inline

void Graphic3d_AxisAspect::SetNameColor | ( | const Quantity_Color & | theColor | ) |
| inline

void Graphic3d_AxisAspect::SetNameOffset | ( | const Standard_Integer | theValue | ) |
| inline

void Graphic3d_AxisAspect::SetTickmarksLength | ( | const Standard_Integer | theValue | ) |
| inline

void Graphic3d_AxisAspect::SetTickmarksNumber | ( | const Standard_Integer | theValue | ) |
| inline

void Graphic3d_AxisAspect::SetValuesOffset | ( | const Standard_Integer | theValue | ) |
| inline

const Standard_Integer Graphic3d_AxisAspect::TickmarksLength | ( |  | ) | const
| inline

const Standard_Integer Graphic3d_AxisAspect::TickmarksNumber | ( |  | ) | const
| inline

const Standard_Boolean Graphic3d_AxisAspect::ToDrawName | ( |  | ) | const
| inline

const Standard_Boolean Graphic3d_AxisAspect::ToDrawTickmarks | ( |  | ) | const
| inline

const Standard_Boolean Graphic3d_AxisAspect::ToDrawValues | ( |  | ) | const
| inline

const Standard_Integer Graphic3d_AxisAspect::ValuesOffset | ( |  | ) | const
| inline

## Field Documentation

Quantity_Color Graphic3d_AxisAspect::myColor
| protected

Color of axis and values.

TCollection_ExtendedString Graphic3d_AxisAspect::myName
| protected

Quantity_Color Graphic3d_AxisAspect::myNameColor
| protected

Standard_Integer Graphic3d_AxisAspect::myNameOffset
| protected

Offset for drawing name of axis.

Standard_Integer Graphic3d_AxisAspect::myTickmarksLength
| protected

Length of tickmarks.

Standard_Integer Graphic3d_AxisAspect::myTickmarksNumber
| protected

Number of splits along axes.

Standard_Boolean Graphic3d_AxisAspect::myToDrawName
| protected

Standard_Boolean Graphic3d_AxisAspect::myToDrawTickmarks
| protected

Standard_Boolean Graphic3d_AxisAspect::myToDrawValues
| protected

Standard_Integer Graphic3d_AxisAspect::myValuesOffset
| protected

Offset for drawing values.

The documentation for this class was generated from the following file:

- Graphic3d_GraduatedTrihedron.hxx